<?php
/**
* Widget Functions.
*
* @package Air Ticket Booking
*/

function air_ticket_booking_widgets_init(){

	register_sidebar(array(
	    'name' => esc_html__('Main Sidebar', 'air-ticket-booking'),
	    'id' => 'sidebar-1',
	    'description' => esc_html__('Add widgets here.', 'air-ticket-booking'),
	    'before_widget' => '<div id="%1$s" class="widget %2$s">',
	    'after_widget' => '</div>',
	    'before_title' => '<h3 class="widget-title"><span>',
	    'after_title' => '</span></h3>',
	));

	register_sidebar(array(
	    'name' => esc_html__('Header Sidebar', 'air-ticket-booking'),
	    'id' => 'sidebar-header',
	    'description' => esc_html__('Add widgets here.', 'air-ticket-booking'),
	    'before_widget' => '<div id="%1$s" class="widget %2$s">',
	    'after_widget' => '</div>',
	    'before_title' => '<h3 class="widget-title"><span>',
	    'after_title' => '</span></h3>',
	));


    $air_ticket_booking_default = air_ticket_booking_get_default_theme_options();
    $air_ticket_booking_footer_column_layout = absint( get_theme_mod( 'air_ticket_booking_footer_column_layout',$air_ticket_booking_default['air_ticket_booking_footer_column_layout'] ) );

    for( $i = 0; $i < $air_ticket_booking_footer_column_layout; $i++ ){
    	
    	if( $i == 0 ){ $count = esc_html__('One','air-ticket-booking'); }
    	if( $i == 1 ){ $count = esc_html__('Two','air-ticket-booking'); }
    	if( $i == 2 ){ $count = esc_html__('Three','air-ticket-booking'); }

	    register_sidebar( array(
	        'name' => esc_html__('Footer Widget ', 'air-ticket-booking').$count,
	        'id' => 'air-ticket-booking-footer-widget-'.$i,
	        'description' => esc_html__('Add widgets here.', 'air-ticket-booking'),
	        'before_widget' => '<div id="%1$s" class="widget %2$s">',
	        'after_widget' => '</div>',
	        'before_title' => '<h2 class="widget-title">',
	        'after_title' => '</h2>',
	    ));
	}

}

add_action('widgets_init', 'air_ticket_booking_widgets_init');